4.53.01.03 - Edge for Private Cloud release notes

You're viewing Apigee Edge documentation.
Go to the Apigee X documentation.
info

On November 18, 2026, Apigee released Edge for Private Cloud 4.53.01.03.

Update procedure

This section describes how to install this release if you are updating from the previous release of Edge for Private Cloud. If you need to update from an earlier release, see Applying multiple patch versions.

Installing Edge for Private Cloud 4.53.01.03 updates the following RPM packages:

  • edge-gateway-4.53.01-0.0.60415.noarch.rpm
  • edge-management-server-4.53.01-0.0.60415.noarch.rpm
  • edge-message-processor-4.53.01-0.0.60415.noarch.rpm
  • edge-postgres-server-4.53.01-0.0.60415.noarch.rpm
  • edge-qpid-server-4.53.01-0.0.60415.noarch.rpm
  • edge-router-4.53.01-0.0.60415.noarch.rpm
  • edge-uapim-4.53.01-0.0.60415.noarch.rpm
  • edge-uapim-connector-4.53.01-0.0.60415.noarch.rpm
  • edge-management-ui-4.53.01-0.0.20090.noarch.rpm
  • apigee-mtls-4.53.01-0.0.20267.noarch.rpm
  • apigee-mtls-consul-4.53.01-0.0.20176.noarch.rpm
  • apigee-setup-4.53.01-0.0.1167.noarch.rpm

To check the installed RPM versions on a node, run the following command:

/opt/apigee/apigee-service/bin/apigee-all version

To update your Edge for Private Cloud installation to 4.53.01.03, complete the following steps:

  1. Prepare all Edge for Private Cloud nodes that host an updated component:
    1. If apigee-monit is running on the node, stop monitoring and stop the service so that it doesn't restart components during the update:
      /opt/apigee/apigee-service/bin/apigee-service apigee-monit unmonitor -c all
      /opt/apigee/apigee-service/bin/apigee-service apigee-monit stop
    2. Clean the package manager cache:
      sudo yum clean all
    3. Download the latest 4.53.01 bootstrap_4.53.01.sh script to /tmp/bootstrap_4.53.01.sh:
      curl https://software.apigee.com/bootstrap_4.53.01.sh -o /tmp/bootstrap_4.53.01.sh
    4. Install the 4.53.01 apigee-service utility and repository configuration:
      sudo bash /tmp/bootstrap_4.53.01.sh apigeeuser=uName apigeepassword=pWord

      Replace uName and pWord with the credentials you received from Apigee. If you omit pWord, the script prompts you to enter it.

    5. Load the updated environment profile:
      source /etc/profile.d/apigee-service.sh
    6. Update the apigee-setup utility:
      /opt/apigee/apigee-service/bin/apigee-service apigee-setup update
  2. If apigee-mtls is installed, update apigee-mtls and apigee-mtls-consul on all mesh nodes:

    Unlike the rolling update in Step 3, updating apigee-mtls requires stopping all Edge for Private Cloud components on every mesh node at the same time, which causes downtime until the mesh and components restart in Steps 2b and 2c.

    1. On each node in the mTLS mesh, stop all Edge for Private Cloud components, uninstall the existing apigee-mtls package (which also uninstalls apigee-mtls-consul), and install and configure the updated package (which installs the updated apigee-mtls-consul package as a dependency; see Upgrade Apigee mTLS):
      /opt/apigee/apigee-service/bin/apigee-all stop
      /opt/apigee/apigee-service/bin/apigee-service apigee-mtls uninstall
      /opt/apigee/apigee-service/bin/apigee-service apigee-mtls install
      /opt/apigee/apigee-service/bin/apigee-service apigee-mtls setup -f configFile

      SHA-1-signed custom certificates are rejected. If you use a custom mTLS certificate, re-integrate it on each node before starting apigee-mtls, as described in Step 5: Integrate the custom certificate. Make sure that both the CA certificate (ca_cert.pem) and each node's local certificate (local_cert.pem) use SHA-256 or stronger signatures (see Step 4: Sign the signature request) and at least 2048-bit RSA or ECDSA P-256 keys.

    2. After apigee-mtls setup (and custom certificate re-integration, if applicable) completes on all mesh nodes, start apigee-mtls on the ZooKeeper/Consul server nodes first, and then on the remaining mesh nodes:
      /opt/apigee/apigee-service/bin/apigee-service apigee-mtls start
    3. Verify that apigee-mtls is running on every node, then start the remaining Edge for Private Cloud components in the standard start order:
      /opt/apigee/apigee-service/bin/apigee-service apigee-mtls status
  3. Update Edge Core and Analytics components in rolling order across your topology:

    Update Router and Message Processor nodes first (one node at a time across data centers), then Management Server nodes (one node at a time), and then Qpid Server and Postgres Server nodes (one node at a time). On each node, run the following command:

    /opt/apigee/apigee-setup/bin/update.sh -c edge -f configFile
  4. If the New Edge UI (edge-management-ui) is installed, update it on each New Edge UI node:
    /opt/apigee/apigee-setup/bin/update.sh -c ue -f configFile
  5. If the Apigee API hub connector is installed, on its dedicated connector node, update, reconfigure, and restart edge-uapim-connector (which also updates edge-uapim):
    /opt/apigee/apigee-service/bin/apigee-service edge-uapim-connector update
    /opt/apigee/apigee-service/bin/apigee-service edge-uapim-connector configure
    /opt/apigee/apigee-service/bin/apigee-service edge-uapim-connector restart
    /opt/apigee/apigee-service/bin/apigee-service edge-uapim-connector wait_for_ready
  6. Verify the update:
    1. On every node, confirm that all services are running and updated to their 4.53.01.03 versions:
      /opt/apigee/apigee-service/bin/apigee-all status
      /opt/apigee/apigee-service/bin/apigee-all version
    2. Validate runtime API proxy traffic as described in Test the install.
    3. If you stopped apigee-monit in Step 1, start it again on each node where it's installed:
      /opt/apigee/apigee-service/bin/apigee-service apigee-monit start

Bug fixes

This section lists the Edge for Private Cloud bugs fixed in this release.

Issue ID Description
555253198 Fixed an issue where API proxy deployments that use the OASValidation policy failed with OpenAPI Specification path parameter validation errors after updating to 4.53.01.
580744258 Fixed an issue where running setup.sh -p uapim failed during edge-uapim-connector setup.
531571595 Added sanitization to certain error messages generated by Message Processors.

Security issues fixed

This release fixes multiple security vulnerabilities in Apigee Edge for Private Cloud, including security hardening across Edge runtime, management, New Edge UI, and Apigee mTLS components.

Changes to supported software

There are no changes to supported software in this release. See Edge for Private Cloud supported software for the complete list of supported software.

Deprecations and retirements

There are no new deprecations or retirements in this release.

Known issues

See Known issues with Edge for Private Cloud for the complete list of known issues.

Applying multiple patch versions

This section explains how to apply multiple patch versions when you're updating from a version of Edge for Private Cloud earlier than the previous patch release.

Each patch release updates specific components of Edge for Private Cloud, such as edge-management-server. To apply multiple patch versions, update each component included in any patch release later than your currently installed version. Check the Edge for Private Cloud release notes for all versions later than your current version and review the list of RPMs for those releases. See Apigee release notes for links to all Edge for Private Cloud release notes.